## org.red5.server.net
Interface IConnectionEventQueue

    public interface IConnectionEventQueue

Queue of connection events

Method Summary
`boolean` `hasEventsWaiting(IConnection conn)` Whether queue has waiting connection events
`Iterator<IEvent>` `pickupEvents(IConnection conn)` Return iterator over waiting events

Method Detail

### hasEventsWaiting

    boolean hasEventsWaiting(IConnection conn)

  Whether queue has waiting connection events

  Parameters:
    `conn` - Connection
  Returns:
    `true` if queue has waiting events for connection, `false` otherwise

### pickupEvents

    Iterator<IEvent> pickupEvents(IConnection conn)

  Return iterator over waiting events

  Parameters:
    `conn` - Connection
  Returns:
    Iterator over events

Copyright © 2006-2010 The Red5 Project